<?php
/**
 * CommerceGurus Child theme functions
 */

// Dequeue parent css
function cg_dequeue_parent_css() {
	wp_dequeue_style( 'cg-commercegurus' ); 
	wp_dequeue_style( 'cg-responsive' ); 
}

add_action( 'wp_enqueue_scripts', 'cg_dequeue_parent_css', 100 );

// Reorder parent css
function cg_reorder_child_css() {
	wp_dequeue_style( 'cg-style' );
	wp_register_style( 'cg-child-styles', get_stylesheet_uri() );
	wp_enqueue_style( 'cg-commercegurus' );
	wp_enqueue_style( 'cg-responsive' );
	wp_enqueue_style( 'cg-child-styles' );
}

add_action( 'wp_enqueue_scripts', 'cg_reorder_child_css', 101 );



function defer_parsing_of_js( $url ) {
    if ( is_user_logged_in() ) return $url; //don't break WP Admin
    if ( FALSE === strpos( $url, '.js' ) ) return $url;
    if ( strpos( $url, 'jquery.js' ) ) return $url;
    return str_replace( ' src', ' defer src', $url );
}
add_filter( 'script_loader_tag', 'defer_parsing_of_js', 10 );



add_filter( 'gettext', function( $translated_text ) {
   if ( 'View Cart' === $translated_text ) {
      $translated_text = 'Ver mi carrito';
    }
   return $translated_text;
});

/**
*   Change Proceed To Checkout Text in WooCommerce
*   Add this code in your active theme functions.php file
**/
function woocommerce_button_proceed_to_checkout() {
	
       $new_checkout_url = WC()->cart->get_checkout_url();
       ?>
       <a href="<?php echo $new_checkout_url; ?>" class="checkout-button button alt wc-forward">
	   
	   <?php _e( 'Pasar por caja >>', 'woocommerce' ); ?></a>
<?php
}


function insertarphp ($atts) { include ( TEMPLATEPATH .'/php-trustedshops.php'); }
add_shortcode ('trustedphp', 'insertarphp');
